Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039874
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Tests Stabilizationmajoralways2019-01-03 19:092019-01-10 14:00
Reportergorka_gilView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision5fea2a6c56fa
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039874: tests conversion rates

DescriptionThere are some tests about conversion rates:
- I39103_VerifyPaymentAmountsInDifferentCurrencies
- I33898_VerifyRoundingWhenPayingInForeignCurrency
- I33059_VerifyPaymentBasedonConversionRate

That have some problems:
1) When executed one test after another , there is an update that fail because found 2 lines instead one:
  'update c_conversion_rate SET updated = NOW(), isactive = 'N' where c_currency_id = '102' and c_currency_id_to = '100' and validfrom = to_date(trunc(now())) - interval '2' day'
2) They left conversion rates disabled
3) These tests can not be executed twice, since the insert fail because fail a constraint.
Steps To Reproduce1) create a suite with:
I33898_VerifyRoundingWhenPayingInForeignCurrency
I39103_VerifyPaymentAmountsInDifferentCurrencies

2) -

3) -
Proposed Solution1) change the way that creates and disabled the conversion rates, but since the pos don't get when is deleted, maybe an option is to execute the update without specify the number to registers to return (DatabaseHelperInsertUpdateOrDelete.UNKNOWN_AFFECTED_ROWS).

2) re-enable the conversion rates disabled at the beginning.

3) maybe check at the beginning if the conversion rate exists and activate it.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108821)
hgbot (developer)
2019-01-03 19:12

Repository: tools/automation/pi-mobile
Changeset: 5055150e6809806ebdb3b593bc58e5090a307ae1
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Thu Jan 03 19:11:59 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/5055150e6809806ebdb3b593bc58e5090a307ae1 [^]

Related to issue 39874: disabled test I39103_VerifyPaymentAmountsInDifferentCurrencies till issue is fixed

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/payment/I39103_VerifyPaymentAmountsInDifferentCurrencies.java
---
(0108896)
hgbot (developer)
2019-01-10 14:00

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 5fea2a6c56faafb1eff0dc93c4353bdf1c88bc90
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jan 10 18:30:14 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/5fea2a6c56faafb1eff0dc93c4353bdf1c88bc90 [^]

Fixed issue 39874 : Added Sample data for Currency Conversion

* Added Sample data for Currency Conversion for the issue 39103
* Added Sample data for Currency Conversion for the issue 33059

---
M referencedata/sampledata/The_White_Valley_Group/C_CONVERSION_RATE.xml
---
(0108897)
hgbot (developer)
2019-01-10 14:00

Repository: tools/automation/pi-mobile
Changeset: 85b3f9db7c06ecc07299b6aa5f998777ee17db23
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jan 10 18:30:26 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/85b3f9db7c06ecc07299b6aa5f998777ee17db23 [^]

Related to issue 39874 : Modified Sample data for Currency Conversion tests

* Following test has been modified to use the Sample data instead of creating it
  I33059_VerifyPaymentBasedonConversionRate.java
  I33898_VerifyRoundingWhenPayingInForeignCurrency.java
  I39103_VerifyPaymentAmountsInDifferentCurrencies.java

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/payment/I33898_VerifyRoundingWhenPayingInForeignCurrency.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/payment/I39103_VerifyPaymentAmountsInDifferentCurrencies.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I33059_VerifyPaymentBasedonConversionRate.java
---

- Issue History
Date Modified Username Field Change
2019-01-03 19:09 gorka_gil New Issue
2019-01-03 19:09 gorka_gil Assigned To => Retail
2019-01-03 19:09 gorka_gil Triggers an Emergency Pack => No
2019-01-03 19:12 hgbot Checkin
2019-01-03 19:12 hgbot Note Added: 0108821
2019-01-08 07:12 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-01-08 08:45 ranjith_qualiantech_com Status new => scheduled
2019-01-10 14:00 hgbot Checkin
2019-01-10 14:00 hgbot Note Added: 0108896
2019-01-10 14:00 hgbot Status scheduled => resolved
2019-01-10 14:00 hgbot Resolution open => fixed
2019-01-10 14:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/5fea2a6c56faafb1eff0dc93c4353bdf1c88bc90 [^]
2019-01-10 14:00 hgbot Checkin
2019-01-10 14:00 hgbot Note Added: 0108897


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker